/**
 * Hook to switch the account of the active wallet
 *
 * @example
 * ```ts
 * const { switchAccount, isLoading } = useSwitchAccount();
 *
 * const handleSwitchAccount = async (address: string) => {
 *  await switchAccount(address);
 * }
 * ```
 *
 * @returns A function to invoke to switch account and a boolean to indicate if it is in progress
 *
 * @auth
 */
export declare function useSwitchAccount(): {
    switchAccount: import("@tanstack/react-query").UseMutateAsyncFunction<void, unknown, string, unknown>;
    isLoading: boolean;
};
//# sourceMappingURL=useSwitchAccount.d.ts.map